/*上传图片通用样式*/
.upload-ul {
    position: relative;
    display: -webkit-flex;
    display: flex;
    flex-wrap: wrap;
    max-width: 750px;
}

.upload-ul li {
    position: relative;
    float: left;
    display: inline-block;
    width: 1.9rem;
    height: 1.7rem;
    margin: 0 0.13rem 0.13rem;
    padding: 0;
    cursor: pointer;
    -moz-border-radius: 0.1rem;
    -webkit-border-radius: 0.1rem;
    border-radius: 0.1rem;
    overflow: hidden;
    border: solid 1px #ddd;
}

.upload-pick {
    background: url(/public/thirdparty/img/upload.jpg) top center no-repeat;
    background-size: 100% 100%;
}

.upload-pick:hover {
    background: url(/public/thirdparty/img/upload1.jpg) top center no-repeat;
    background-size: 100% 100%;
}

.webuploader-pick {
    position: relative;
    display: inline-block;
    vertical-align: top;
    width: 100%;
    height: 100%;
}

.webuploader-container {
    position: relative;
    width: 100%;
    height: 100%;
}

.webuploader-container label {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
}

.webuploader-element-invisible {
    opacity: 0;
    width: 100%;
    height: 100%;
    clip: rect(1px 1px 1px 1px);
    clip: rect(1px, 1px, 1px, 1px);
}

.viewThumb {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: .1rem;
}

.viewThumb img {
    width: 100%;
    height: 100%
}

.diyBar {
    position: absolute;
    display: none;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 3;
}

.diyProgress {
    position: absolute;
    left: 0;
    top: 33px;
    width: 100%;
    height: 24px;
    line-height: 24px;
    font-size: 14px;
    text-align: center;
    color: #FFF;
    background: rgba(10, 168, 241, .7);
    z-index: 3;
}

.diyControl {
    position: absolute;
    display: none;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 24px;
    line-height: 24px;
    font-size: 14px;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 3;
}

.viewThumb:hover .diyControl {
    display: block;
}

.diyControl span {
    display: inline-block;
    width: 31.33%;
    height: 11px;
    text-align: center;
}

.diyControl span i {
    display: block;
    width: 100%;
    height: 11px;
    margin: auto;
    text-align: center;
    margin-left: 50%;
}

.diyControl span i:hover {
    opacity: 1;
    cursor: pointer;
}

.diyLeft {
    margin-left: 1%;
}

.diyLeft i {
    background: url(/public/thirdparty/img/upload-icon1.png) no-repeat 0 0;
}

.diyCancel i {
    background: url(/public/thirdparty/img/upload-icon1.png) no-repeat 0 -11px;
}
.diyRight {
    margin-right: 1%;
}
.diyRight i {
    margin-right: 3px;
    background: url(/public/thirdparty/img/upload-icon1.png) no-repeat 0 -22px;
}

.goods-edit .upload-tip {
    color: #a3a3a3;
    vertical-align: top;
}
